Получение списка заказов

Получение списка заказов

Request

POST

https://fleet-api.taxi.yandex.net/v1/parks/orders/list

Headers

Name

Description

X-API-Key

Type: string

API-ключ

Min length: 1

Example: <API-ключ>

X-Client-ID

Type: string

Идентификатор клиента

Min length: 1

Example: <Идентификатор клиента>

Body

application/json
{
  "query": {
    "park": {
      "id": "ee6f33c4562b4e1f8646d157bd70b2c4",
      "order": {
        "ids": [
          "c8d40acf182b4b32af72f6ad2029031b"
        ],
        "short_ids": [
          248
        ],
        "booked_at": {
          "from": "2019-08-08T11:58:01+03:00",
          "to": null
        },
        "ended_at": null,
        "type": {
          "ids": [
            null
          ]
        },
        "statuses": [
          "complete"
        ],
        "payment_methods": [
          "card"
        ],
        "providers": [
          "platform"
        ],
        "categories": [
          "econom"
        ],
        "price": {
          "from": "12345.1434",
          "to": null
        }
      },
      "driver_profile": {
        "id": "33de650c6a1a40bfa78dd981817da866"
      },
      "car": {
        "id": "5011ade6ba054dfdb7143c8cc9460dbc"
      }
    }
  },
  "limit": 100,
  "cursor": "example"
}

Name

Description

limit

Type: OrdersListLimit

Ограничение сверху на число заказов в ответе

Min value: 1

Max value: 500

Example: 100

query

Type: OrdersListQuery

Example
{
  "park": {
    "id": "ee6f33c4562b4e1f8646d157bd70b2c4",
    "order": {
      "ids": [
        "c8d40acf182b4b32af72f6ad2029031b"
      ],
      "short_ids": [
        248
      ],
      "booked_at": {
        "from": "2019-08-08T11:58:01+03:00",
        "to": null
      },
      "ended_at": null,
      "type": {
        "ids": [
          "4964b852670045b196e526d59915b777"
        ]
      },
      "statuses": [
        "complete"
      ],
      "payment_methods": [
        "card"
      ],
      "providers": [
        "platform"
      ],
      "categories": [
        "econom"
      ],
      "price": {
        "from": "12345.1434",
        "to": null
      }
    },
    "driver_profile": {
      "id": "33de650c6a1a40bfa78dd981817da866"
    },
    "car": {
      "id": "5011ade6ba054dfdb7143c8cc9460dbc"
    }
  }
}

cursor

Type: RequestCursor

Курсор для получения следующий порции данных, значение должно быть взято из ответа на предыдущий запрос

Min length: 1

Example: example

ParkId

Идентификатор партнёра

Type: string

Min length: 1

Max length: 100

Example: ee6f33c4562b4e1f8646d157bd70b2c4

OrderId

Идентификатор заказа

Type: string

Min length: 1

Max length: 100

Example: c8d40acf182b4b32af72f6ad2029031b

OrderIds

Type: OrderId[]

Min items: 1

Max items: 100

Example
[
  "c8d40acf182b4b32af72f6ad2029031b"
]

OrderShortId

Порядковый номер заказ (с учётом несостоявшихся заказов)

Type: integer

Min value: 0

OrderShortIds

Type: OrderShortId[]

Min items: 1

Max items: 100

Example
[
  248
]

DateTime

ISO 8601 с временной зоной

Type: string<date-time>

Example: 2019-08-08T11:58:01+03:00

DateTimeInterval

Name

Description

from

Type: DateTime

ISO 8601 с временной зоной

Example: 2019-08-08T11:58:01+03:00

to

Type: DateTime

ISO 8601 с временной зоной

Example: 2019-08-08T11:58:01+03:00

Example
{
  "from": "2019-08-08T11:58:01+03:00",
  "to": null
}

OrderTypeId

Идентификатор типа заказа

Type: string

Min length: 1

Example: 4964b852670045b196e526d59915b777

OrderTypeIds

Type: OrderTypeId[]

Min items: 1

Max items: 100

Example
[
  "4964b852670045b196e526d59915b777"
]

QueryParkOrderType

Name

Description

ids

Type: OrderTypeIds

Min items: 1

Max items: 100

Example
[
  "4964b852670045b196e526d59915b777"
]
Example
{
  "ids": [
    "4964b852670045b196e526d59915b777"
  ]
}

OrderStatus

Статус заказа. Допустимые значения:

  • none - без статуса;
  • driving - в пути;
  • waiting - ждёт клиента;
  • transporting - везёт клиента;
  • complete - выполнен;
  • cancelled - отменён;
  • calling - ошибка, технический статус;
  • expired - ошибка, технический статус;
  • failed - ошибка, технический статус.

Type: string

Enum: none, driving, waiting, transporting, complete, cancelled, calling, expired, failed

Statuses

Type: OrderStatus[]

Min items: 1

Example
[
  "complete"
]

PaymentMethod

Способ оплаты. Допустимые значения:

  • cash - наличные;
  • cashless - безнал;
  • card - карта;
  • internal - внутренний;
  • other - другое;
  • corp - корп. счёт;
  • prepaid - предоплата.

Type: string

Enum: cash, cashless, card, internal, other, corp, prepaid

PaymentMethods

Type: PaymentMethod[]

Min items: 1

Example
[
  "card"
]

Provider

Type: string

Enum: none, partner, platform

Providers

Type: Provider[]

Min items: 1

Example
[
  "platform"
]

Categories

Список категорий ТС. Допустимые значения:

  • econom - эконом;
  • comfort - комфорт;
  • comfort_plus - комфорт+;
  • business - бизнес;
  • minivan - минивен;
  • vip - VIP;
  • wagon - универсальный;
  • pool - pool;
  • start - старт;
  • standart - стандарт;
  • ultimate - премьер;
  • maybach - elite;
  • promo - промо;
  • premium_van - круиз;
  • premium_suv - премиум внедорожник;
  • suv - внедорожник;
  • personal_driver - персональный водитель;
  • express - доставка;
  • cargo - грузовой.

Type: string[]

Example
[
  "econom"
]

Amount

Сумма с фиксированной точностью

Type: string

Max length: 20

Example: 12345.1434

PriceInterval

Name

Description

from

Type: Amount

Сумма с фиксированной точностью

Max length: 20

Example: 12345.1434

to

Type: Amount

Сумма с фиксированной точностью

Max length: 20

Example: 12345.1434

Example
{
  "from": "12345.1434",
  "to": null
}

OrdersListQueryParkOrder

Обязательно наличие одного из booked_at или ended_at

Name

Description

booked_at

Type: DateTimeInterval

Example
{
  "from": "2019-08-08T11:58:01+03:00",
  "to": null
}

categories

Type: Categories

Список категорий ТС. Допустимые значения:

  • econom - эконом;
  • comfort - комфорт;
  • comfort_plus - комфорт+;
  • business - бизнес;
  • minivan - минивен;
  • vip - VIP;
  • wagon - универсальный;
  • pool - pool;
  • start - старт;
  • standart - стандарт;
  • ultimate - премьер;
  • maybach - elite;
  • promo - промо;
  • premium_van - круиз;
  • premium_suv - премиум внедорожник;
  • suv - внедорожник;
  • personal_driver - персональный водитель;
  • express - доставка;
  • cargo - грузовой.
Example
[
  "econom"
]

ended_at

Type: DateTimeInterval

Example
{
  "from": "2019-08-08T11:58:01+03:00",
  "to": null
}

ids

Type: OrderIds

Min items: 1

Max items: 100

Example
[
  "c8d40acf182b4b32af72f6ad2029031b"
]

payment_methods

Type: PaymentMethods

Min items: 1

Example
[
  "card"
]

price

Type: PriceInterval

Example
{
  "from": "12345.1434",
  "to": null
}

providers

Type: Providers

Min items: 1

Example
[
  "platform"
]

short_ids

Type: OrderShortIds

Min items: 1

Max items: 100

Example
[
  248
]

statuses

Type: Statuses

Min items: 1

Example
[
  "complete"
]

type

Type: QueryParkOrderType

Example
{
  "ids": [
    "4964b852670045b196e526d59915b777"
  ]
}
Example
{
  "ids": [
    "c8d40acf182b4b32af72f6ad2029031b"
  ],
  "short_ids": [
    248
  ],
  "booked_at": {
    "from": "2019-08-08T11:58:01+03:00",
    "to": null
  },
  "ended_at": null,
  "type": {
    "ids": [
      "4964b852670045b196e526d59915b777"
    ]
  },
  "statuses": [
    "complete"
  ],
  "payment_methods": [
    "card"
  ],
  "providers": [
    "platform"
  ],
  "categories": [
    "econom"
  ],
  "price": {
    "from": "12345.1434",
    "to": null
  }
}

DriverProfileId

Идентификатор водителя

Type: string

Min length: 1

Max length: 100

Example: 33de650c6a1a40bfa78dd981817da866

OrdersListQueryParkDriverProfile

Name

Description

id

Type: DriverProfileId

Идентификатор водителя

Min length: 1

Max length: 100

Example: 33de650c6a1a40bfa78dd981817da866

Example
{
  "id": "33de650c6a1a40bfa78dd981817da866"
}

CarId

Идентификатор автомобиля

Type: string

Min length: 1

Max length: 100

Example: 5011ade6ba054dfdb7143c8cc9460dbc

OrdersListQueryParkCar

Name

Description

id

Type: CarId

Идентификатор автомобиля

Min length: 1

Max length: 100

Example: 5011ade6ba054dfdb7143c8cc9460dbc

Example
{
  "id": "5011ade6ba054dfdb7143c8cc9460dbc"
}

OrdersListQueryPark

Name

Description

id

Type: ParkId

Идентификатор партнёра

Min length: 1

Max length: 100

Example: ee6f33c4562b4e1f8646d157bd70b2c4

order

Type: OrdersListQueryParkOrder

Обязательно наличие одного из booked_at или ended_at

Example
{
  "ids": [
    "c8d40acf182b4b32af72f6ad2029031b"
  ],
  "short_ids": [
    248
  ],
  "booked_at": {
    "from": "2019-08-08T11:58:01+03:00",
    "to": null
  },
  "ended_at": null,
  "type": {
    "ids": [
      "4964b852670045b196e526d59915b777"
    ]
  },
  "statuses": [
    "complete"
  ],
  "payment_methods": [
    "card"
  ],
  "providers": [
    "platform"
  ],
  "categories": [
    "econom"
  ],
  "price": {
    "from": "12345.1434",
    "to": null
  }
}

car

Type: OrdersListQueryParkCar

Example
{
  "id": "5011ade6ba054dfdb7143c8cc9460dbc"
}

driver_profile

Type: OrdersListQueryParkDriverProfile

Example
{
  "id": "33de650c6a1a40bfa78dd981817da866"
}
Example
{
  "id": "ee6f33c4562b4e1f8646d157bd70b2c4",
  "order": {
    "ids": [
      "c8d40acf182b4b32af72f6ad2029031b"
    ],
    "short_ids": [
      248
    ],
    "booked_at": {
      "from": "2019-08-08T11:58:01+03:00",
      "to": null
    },
    "ended_at": null,
    "type": {
      "ids": [
        "4964b852670045b196e526d59915b777"
      ]
    },
    "statuses": [
      "complete"
    ],
    "payment_methods": [
      "card"
    ],
    "providers": [
      "platform"
    ],
    "categories": [
      "econom"
    ],
    "price": {
      "from": "12345.1434",
      "to": null
    }
  },
  "driver_profile": {
    "id": "33de650c6a1a40bfa78dd981817da866"
  },
  "car": {
    "id": "5011ade6ba054dfdb7143c8cc9460dbc"
  }
}

OrdersListQuery

Name

Description

park

Type: OrdersListQueryPark

Example
{
  "id": "ee6f33c4562b4e1f8646d157bd70b2c4",
  "order": {
    "ids": [
      "c8d40acf182b4b32af72f6ad2029031b"
    ],
    "short_ids": [
      248
    ],
    "booked_at": {
      "from": "2019-08-08T11:58:01+03:00",
      "to": null
    },
    "ended_at": null,
    "type": {
      "ids": [
        "4964b852670045b196e526d59915b777"
      ]
    },
    "statuses": [
      "complete"
    ],
    "payment_methods": [
      "card"
    ],
    "providers": [
      "platform"
    ],
    "categories": [
      "econom"
    ],
    "price": {
      "from": "12345.1434",
      "to": null
    }
  },
  "driver_profile": {
    "id": "33de650c6a1a40bfa78dd981817da866"
  },
  "car": {
    "id": "5011ade6ba054dfdb7143c8cc9460dbc"
  }
}
Example
{
  "park": {
    "id": "ee6f33c4562b4e1f8646d157bd70b2c4",
    "order": {
      "ids": [
        "c8d40acf182b4b32af72f6ad2029031b"
      ],
      "short_ids": [
        248
      ],
      "booked_at": {
        "from": "2019-08-08T11:58:01+03:00",
        "to": null
      },
      "ended_at": null,
      "type": {
        "ids": [
          "4964b852670045b196e526d59915b777"
        ]
      },
      "statuses": [
        "complete"
      ],
      "payment_methods": [
        "card"
      ],
      "providers": [
        "platform"
      ],
      "categories": [
        "econom"
      ],
      "price": {
        "from": "12345.1434",
        "to": null
      }
    },
    "driver_profile": {
      "id": "33de650c6a1a40bfa78dd981817da866"
    },
    "car": {
      "id": "5011ade6ba054dfdb7143c8cc9460dbc"
    }
  }
}

OrdersListLimit

Ограничение сверху на число заказов в ответе

Type: integer

Min value: 1

Max value: 500

RequestCursor

Курсор для получения следующий порции данных, значение должно быть взято из ответа на предыдущий запрос

Type: string

Min length: 1

Example: example

Responses

200 OK

Список заказов

Body

application/json
{
  "orders": [
    {
      "id": "c8d40acf182b4b32af72f6ad2029031b",
      "short_id": 248,
      "status": "complete",
      "created_at": "2019-08-08T11:58:01+03:00",
      "booked_at": null,
      "provider": "platform",
      "category": "econom",
      "amenities": [
        "wifi"
      ],
      "address_from": {
        "address": "Тверская улица, 8",
        "lat": 55.762235,
        "lon": 37.609651
      },
      "route_points": [
        null
      ],
      "events": [
        {
          "event_at": null,
          "order_status": null
        }
      ],
      "ended_at": null,
      "payment_method": "card",
      "driver_profile": {
        "id": "33de650c6a1a40bfa78dd981817da866",
        "name": "Иванов Пётр Николаевич"
      },
      "car": {
        "id": "5011ade6ba054dfdb7143c8cc9460dbc",
        "brand_model": "BMW 5er",
        "license": {
          "number": "AA01234567"
        },
        "callsign": "123456789"
      },
      "type": {
        "id": "4964b852670045b196e526d59915b777",
        "name": "Яндекс.Безналичный"
      },
      "price": "12345.1434",
      "driver_work_rule": {
        "id": "e26a3cf21acfe01198d50030487e046b",
        "name": "Аренда"
      },
      "mileage": "example",
      "cancellation_description": "example",
      "park_details": {
        "tariff": {
          "id": "example",
          "name": "example"
        },
        "passenger": {
          "name": "example",
          "phones": [
            null
          ]
        },
        "company": {
          "id": "example",
          "name": "example",
          "slip": "example",
          "comment": "example"
        }
      }
    }
  ],
  "limit": 100,
  "cursor": ""
}

Name

Description

limit

Type: OrdersListLimit

Ограничение сверху на число заказов в ответе

Min value: 1

Max value: 500

Example: 100

orders

Type: OrdersList

Example
[
  {
    "id": "c8d40acf182b4b32af72f6ad2029031b",
    "short_id": 248,
    "status": "complete",
    "created_at": "2019-08-08T11:58:01+03:00",
    "booked_at": null,
    "provider": "platform",
    "category": "econom",
    "amenities": [
      "wifi"
    ],
    "address_from": {
      "address": "Тверская улица, 8",
      "lat": 55.762235,
      "lon": 37.609651
    },
    "route_points": [
      null
    ],
    "events": [
      {
        "event_at": null,
        "order_status": null
      }
    ],
    "ended_at": null,
    "payment_method": "card",
    "driver_profile": {
      "id": "33de650c6a1a40bfa78dd981817da866",
      "name": "Иванов Пётр Николаевич"
    },
    "car": {
      "id": "5011ade6ba054dfdb7143c8cc9460dbc",
      "brand_model": "BMW 5er",
      "license": {
        "number": "AA01234567"
      },
      "callsign": "123456789"
    },
    "type": {
      "id": "4964b852670045b196e526d59915b777",
      "name": "Яндекс.Безналичный"
    },
    "price": "12345.1434",
    "driver_work_rule": {
      "id": "e26a3cf21acfe01198d50030487e046b",
      "name": "Аренда"
    },
    "mileage": "example",
    "cancellation_description": "example",
    "park_details": {
      "tariff": {
        "id": "example",
        "name": "example"
      },
      "passenger": {
        "name": "example",
        "phones": [
          "example"
        ]
      },
      "company": {
        "id": "example",
        "name": "example",
        "slip": "example",
        "comment": "example"
      }
    }
  }
]

cursor

Type: ResponseCursor

Курсор для получения следующий порции данных

Example: ``

Category

Категория ТС. Допустимые значения:

  • econom - эконом;
  • comfort - комфорт;
  • comfort_plus - комфорт+;
  • business - бизнес;
  • minivan - минивен;
  • vip - VIP;
  • wagon - универсальный;
  • pool - pool;
  • start - старт;
  • standart - стандарт;
  • child_tariff - детский;
  • ultimate - премьер;
  • maybach - elite;
  • promo - промо;
  • premium_van - круиз;
  • premium_suv - премиум внедорожник;
  • suv - внедорожник;
  • personal_driver - персональный водитель;
  • express - доставка;
  • cargo - грузовой.

Type: string

Enum: econom, comfort, comfort_plus, business, minivan, vip, wagon, pool, start, standart, child_tariff, ultimate, maybach, promo, premium_van, premium_suv, suv, personal_driver, express, cargo

Amenities

Удобства в ТС. Допустимые значения:

  • conditioner
  • no_smoking
  • child_chair
  • animal_transport
  • universal
  • wifi
  • check
  • card
  • yamoney
  • newspaper
  • coupon
  • creditcard
  • dont_call
  • smoking
  • delivery
  • vip_event
  • woman_driver
  • post_terminal
  • bicycle
  • skiing
  • passenger_plus
  • cargo_clean
  • door_to_door
  • sticker
  • lightbox

Type: string[]

Example
[
  "wifi"
]

AddressInfo

Name

Description

address

Type: string

Адрес заказа

Example: Тверская улица, 8

lat

Type: number

Географическая широта

lon

Type: number

Географическая долгота

Example
{
  "address": "Тверская улица, 8",
  "lat": 55.762235,
  "lon": 37.609651
}

RoutePoints

Type: AddressInfo[]

Example
[
  {
    "address": "Тверская улица, 8",
    "lat": 55.762235,
    "lon": 37.609651
  }
]

Event

Name

Description

event_at

Type: DateTime

ISO 8601 с временной зоной

Example: 2019-08-08T11:58:01+03:00

order_status

Type: OrderStatus

Статус заказа. Допустимые значения:

  • none - без статуса;
  • driving - в пути;
  • waiting - ждёт клиента;
  • transporting - везёт клиента;
  • complete - выполнен;
  • cancelled - отменён;
  • calling - ошибка, технический статус;
  • expired - ошибка, технический статус;
  • failed - ошибка, технический статус.

Enum: none, driving, waiting, transporting, complete, cancelled, calling, expired, failed

Example
{
  "event_at": "2019-08-08T11:58:01+03:00",
  "order_status": "complete"
}

Events

Type: Event[]

Example
[
  {
    "event_at": "2019-08-08T11:58:01+03:00",
    "order_status": "complete"
  }
]

DriverProfile

Name

Description

id

Type: DriverProfileId

Идентификатор водителя

Min length: 1

Max length: 100

Example: 33de650c6a1a40bfa78dd981817da866

name

Type: string

ФИО водителя

Example: Иванов Пётр Николаевич

Example
{
  "id": "33de650c6a1a40bfa78dd981817da866",
  "name": "Иванов Пётр Николаевич"
}

License

Name

Description

number

Type: string

Регистрационный номер ТС

Example: AA01234567

Example
{
  "number": "AA01234567"
}

Callsign

Позывной

Type: string

Example: 123456789

OrdersListCar

Name

Description

brand_model

Type: string

Марка и модель автомобиля

Example: BMW 5er

callsign

Type: Callsign

Позывной

Example: 123456789

id

Type: CarId

Идентификатор автомобиля

Min length: 1

Max length: 100

Example: 5011ade6ba054dfdb7143c8cc9460dbc

license

Type: License

Example
{
  "number": "AA01234567"
}
Example
{
  "id": "5011ade6ba054dfdb7143c8cc9460dbc",
  "brand_model": "BMW 5er",
  "license": {
    "number": "AA01234567"
  },
  "callsign": "123456789"
}

OrderType

Name

Description

id

Type: OrderTypeId

Идентификатор типа заказа

Min length: 1

Example: 4964b852670045b196e526d59915b777

name

Type: string

Название типа заказа

Example: Яндекс.Безналичный

Example
{
  "id": "4964b852670045b196e526d59915b777",
  "name": "Яндекс.Безналичный"
}

DriverWorkRule

Условие работы водителя

Name

Description

id

Type: string

Идентификатор условия работы водителя

Example: e26a3cf21acfe01198d50030487e046b

name

Type: string

Название условия работы водителя

Example: Аренда

Example
{
  "id": "e26a3cf21acfe01198d50030487e046b",
  "name": "Аренда"
}

OrderTariff

Тарифы парка

Name

Description

id

Type: string

Example: example

name

Type: string

Example: example

Example
{
  "id": "example",
  "name": "example"
}

Passenger

Name

Description

name

Type: string

Example: example

phones

Type: string[]

Min items: 1

Max items: 3

Example
[
  "example"
]
Example
{
  "name": "example",
  "phones": [
    "example"
  ]
}

Company

Name

Description

comment

Type: string

Example: example

id

Type: string

Example: example

name

Type: string

Example: example

slip

Type: string

Example: example

Example
{
  "id": "example",
  "name": "example",
  "slip": "example",
  "comment": "example"
}

ParkDetails

Name

Description

company

Type: Company

Example
{
  "id": "example",
  "name": "example",
  "slip": "example",
  "comment": "example"
}

passenger

Type: Passenger

Example
{
  "name": "example",
  "phones": [
    "example"
  ]
}

tariff

Type: OrderTariff

Тарифы парка

Example
{
  "id": "example",
  "name": "example"
}
Example
{
  "tariff": {
    "id": "example",
    "name": "example"
  },
  "passenger": {
    "name": "example",
    "phones": [
      "example"
    ]
  },
  "company": {
    "id": "example",
    "name": "example",
    "slip": "example",
    "comment": "example"
  }
}

Order

Name

Description

address_from

Type: AddressInfo

Example
{
  "address": "Тверская улица, 8",
  "lat": 55.762235,
  "lon": 37.609651
}

amenities

Type: Amenities

Удобства в ТС. Допустимые значения:

  • conditioner
  • no_smoking
  • child_chair
  • animal_transport
  • universal
  • wifi
  • check
  • card
  • yamoney
  • newspaper
  • coupon
  • creditcard
  • dont_call
  • smoking
  • delivery
  • vip_event
  • woman_driver
  • post_terminal
  • bicycle
  • skiing
  • passenger_plus
  • cargo_clean
  • door_to_door
  • sticker
  • lightbox
Example
[
  "wifi"
]

booked_at

Type: DateTime

ISO 8601 с временной зоной

Example: 2019-08-08T11:58:01+03:00

created_at

Type: DateTime

ISO 8601 с временной зоной

Example: 2019-08-08T11:58:01+03:00

events

Type: Events

Example
[
  {
    "event_at": "2019-08-08T11:58:01+03:00",
    "order_status": "complete"
  }
]

id

Type: OrderId

Идентификатор заказа

Min length: 1

Max length: 100

Example: c8d40acf182b4b32af72f6ad2029031b

provider

Type: Provider

Enum: none, partner, platform

route_points

Type: RoutePoints

Example
[
  {
    "address": "Тверская улица, 8",
    "lat": 55.762235,
    "lon": 37.609651
  }
]

short_id

Type: OrderShortId

Порядковый номер заказ (с учётом несостоявшихся заказов)

Min value: 0

Example: 248

status

Type: OrderStatus

Статус заказа. Допустимые значения:

  • none - без статуса;
  • driving - в пути;
  • waiting - ждёт клиента;
  • transporting - везёт клиента;
  • complete - выполнен;
  • cancelled - отменён;
  • calling - ошибка, технический статус;
  • expired - ошибка, технический статус;
  • failed - ошибка, технический статус.

Enum: none, driving, waiting, transporting, complete, cancelled, calling, expired, failed

cancellation_description

Type: string

Example: example

car

Type: OrdersListCar

Example
{
  "id": "5011ade6ba054dfdb7143c8cc9460dbc",
  "brand_model": "BMW 5er",
  "license": {
    "number": "AA01234567"
  },
  "callsign": "123456789"
}

category

Type: Category

Категория ТС. Допустимые значения:

  • econom - эконом;
  • comfort - комфорт;
  • comfort_plus - комфорт+;
  • business - бизнес;
  • minivan - минивен;
  • vip - VIP;
  • wagon - универсальный;
  • pool - pool;
  • start - старт;
  • standart - стандарт;
  • child_tariff - детский;
  • ultimate - премьер;
  • maybach - elite;
  • promo - промо;
  • premium_van - круиз;
  • premium_suv - премиум внедорожник;
  • suv - внедорожник;
  • personal_driver - персональный водитель;
  • express - доставка;
  • cargo - грузовой.

Enum: econom, comfort, comfort_plus, business, minivan, vip, wagon, pool, start, standart, child_tariff, ultimate, maybach, promo, premium_van, premium_suv, suv, personal_driver, express, cargo

driver_profile

Type: DriverProfile

Example
{
  "id": "33de650c6a1a40bfa78dd981817da866",
  "name": "Иванов Пётр Николаевич"
}

driver_work_rule

Type: DriverWorkRule

Условие работы водителя

Example
{
  "id": "e26a3cf21acfe01198d50030487e046b",
  "name": "Аренда"
}

ended_at

Type: DateTime

ISO 8601 с временной зоной

Example: 2019-08-08T11:58:01+03:00

mileage

Type: string

Example: example

park_details

Type: ParkDetails

Example
{
  "tariff": {
    "id": "example",
    "name": "example"
  },
  "passenger": {
    "name": "example",
    "phones": [
      "example"
    ]
  },
  "company": {
    "id": "example",
    "name": "example",
    "slip": "example",
    "comment": "example"
  }
}

payment_method

Type: PaymentMethod

Способ оплаты. Допустимые значения:

  • cash - наличные;
  • cashless - безнал;
  • card - карта;
  • internal - внутренний;
  • other - другое;
  • corp - корп. счёт;
  • prepaid - предоплата.

Enum: cash, cashless, card, internal, other, corp, prepaid

price

Type: Amount

Сумма с фиксированной точностью

Max length: 20

Example: 12345.1434

type

Type: OrderType

Example
{
  "id": "4964b852670045b196e526d59915b777",
  "name": "Яндекс.Безналичный"
}
Example
{
  "id": "c8d40acf182b4b32af72f6ad2029031b",
  "short_id": 248,
  "status": "complete",
  "created_at": "2019-08-08T11:58:01+03:00",
  "booked_at": null,
  "provider": "platform",
  "category": "econom",
  "amenities": [
    "wifi"
  ],
  "address_from": {
    "address": "Тверская улица, 8",
    "lat": 55.762235,
    "lon": 37.609651
  },
  "route_points": [
    null
  ],
  "events": [
    {
      "event_at": null,
      "order_status": null
    }
  ],
  "ended_at": null,
  "payment_method": "card",
  "driver_profile": {
    "id": "33de650c6a1a40bfa78dd981817da866",
    "name": "Иванов Пётр Николаевич"
  },
  "car": {
    "id": "5011ade6ba054dfdb7143c8cc9460dbc",
    "brand_model": "BMW 5er",
    "license": {
      "number": "AA01234567"
    },
    "callsign": "123456789"
  },
  "type": {
    "id": "4964b852670045b196e526d59915b777",
    "name": "Яндекс.Безналичный"
  },
  "price": "12345.1434",
  "driver_work_rule": {
    "id": "e26a3cf21acfe01198d50030487e046b",
    "name": "Аренда"
  },
  "mileage": "example",
  "cancellation_description": "example",
  "park_details": {
    "tariff": {
      "id": "example",
      "name": "example"
    },
    "passenger": {
      "name": "example",
      "phones": [
        "example"
      ]
    },
    "company": {
      "id": "example",
      "name": "example",
      "slip": "example",
      "comment": "example"
    }
  }
}

OrdersList

Type: Order[]

Example
[
  {
    "id": "c8d40acf182b4b32af72f6ad2029031b",
    "short_id": 248,
    "status": "complete",
    "created_at": "2019-08-08T11:58:01+03:00",
    "booked_at": null,
    "provider": "platform",
    "category": "econom",
    "amenities": [
      "wifi"
    ],
    "address_from": {
      "address": "Тверская улица, 8",
      "lat": 55.762235,
      "lon": 37.609651
    },
    "route_points": [
      null
    ],
    "events": [
      {
        "event_at": null,
        "order_status": null
      }
    ],
    "ended_at": null,
    "payment_method": "card",
    "driver_profile": {
      "id": "33de650c6a1a40bfa78dd981817da866",
      "name": "Иванов Пётр Николаевич"
    },
    "car": {
      "id": "5011ade6ba054dfdb7143c8cc9460dbc",
      "brand_model": "BMW 5er",
      "license": {
        "number": "AA01234567"
      },
      "callsign": "123456789"
    },
    "type": {
      "id": "4964b852670045b196e526d59915b777",
      "name": "Яндекс.Безналичный"
    },
    "price": "12345.1434",
    "driver_work_rule": {
      "id": "e26a3cf21acfe01198d50030487e046b",
      "name": "Аренда"
    },
    "mileage": "example",
    "cancellation_description": "example",
    "park_details": {
      "tariff": {
        "id": "example",
        "name": "example"
      },
      "passenger": {
        "name": "example",
        "phones": [
          "example"
        ]
      },
      "company": {
        "id": "example",
        "name": "example",
        "slip": "example",
        "comment": "example"
      }
    }
  }
]

ResponseCursor

Курсор для получения следующий порции данных

Type: string

Example: ``

400 Bad Request

Некорректные параметры запроса

Body

application/json
{
  "code": "example",
  "message": "Текстовое описание ошибки"
}

Name

Description

message

Type: string

Человекочитаемое сообщение об ошибке

Example: Текстовое описание ошибки

code

Type: string

Машиночитаемый код ошибки

Example: example

401 Unauthorized

Отсутствуют параметры авторизации запроса

Body

application/json
{
  "code": "example",
  "message": "Текстовое описание ошибки"
}

Name

Description

message

Type: string

Человекочитаемое сообщение об ошибке

Example: Текстовое описание ошибки

code

Type: string

Машиночитаемый код ошибки

Example: example

403 Forbidden

Недостаточно прав для выполнения запроса

Body

application/json
{
  "code": "example",
  "message": "Текстовое описание ошибки"
}

Name

Description

message

Type: string

Человекочитаемое сообщение об ошибке

Example: Текстовое описание ошибки

code

Type: string

Машиночитаемый код ошибки

Example: example

429 Too Many Requests

Превышено допустимое число запросов

Body

application/json
{
  "code": "example",
  "message": "Текстовое описание ошибки"
}

Name

Description

message

Type: string

Человекочитаемое сообщение об ошибке

Example: Текстовое описание ошибки

code

Type: string

Машиночитаемый код ошибки

Example: example

500 Internal Server Error

Внутренняя ошибка сервера

Body

application/json
{
  "code": "example",
  "message": "Текстовое описание ошибки"
}

Name

Description

message

Type: string

Человекочитаемое сообщение об ошибке

Example: Текстовое описание ошибки

code

Type: string

Машиночитаемый код ошибки

Example: example